## dico 2.11

=== dicoweb/requirements.txt ===
Django>=2.0
wikitrans>=1.2
python-memcached>=1.59

## dico 2.0

=== debian/changelog ===
dico (2.0-7) unstable; urgency=low

  * debian/control: Lowered -mediawiki's python minimum required version to 
    2.5 since that also has python-xml.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 09 Dec 2009 22:46:02 +0200

dico (2.0-6) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * debian/control: Changed -mediawiki dependency from python2.6 to
    python (>= 2.6)
  * Added patch dico+kbsd.diff, a workaround for GNU/kFreeBSD since it
    has no ENODATA (Closes: #559764)
  * debian/dicod.init: Indicate dicod init.d script to be stoppable at 0 1 6
    runlevels.
  * debian/dicod.lintian-overrides: Added override for
    init.d-script-does-not-provide-itself

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 07 Dec 2009 11:08:11 +0200

dico (2.0-5) unstable; urgency=low

  * debian/control: Add python2.6 as an alternative dependency for
    dico-module-mediawiki to provide python XML.
  * debian/dicod.postinst: In case dictd got removed (but not purged), disable
    dictd service, since our dictd init script is just a symlink to dicod
    (Closes: #542020)
  * debian/control: Bumped Standards-Version to 3.8.3, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 27 Aug 2009 09:54:20 +0200

dico (2.0-4) unstable; urgency=low

  * debian/rules:
    + use dh_auto_* --sourcedirectory for the python modules
    + No need to explicitly remove *.pyc files dh_auto_clean override,
      dh_auto_clean does that.
  * debian/control: Build-Depend on debhelper >= 7.3.5~ to support
    dh_auto_* --sourcedirectory
  * debian/pyversions: Set minimum python version to 2.5 (Closes: #540501)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 08 Aug 2009 17:27:15 +0300

dico (2.0-3) unstable; urgency=low

  * debian/control:
    + Changed section of dicoweb to web
    + Added le-dico-de-rene-cougnenc to dico's conflicts as they share a
      couple of files (Closes: #538175)
  * debian/rules:
    + override dh_auto_clean target to clean up python modules' subdirs
    + in dh_auto_{build|install} overrides, replace $(MAKE) ... with
      dh_auto_{build|install}
    + Replace long configure line with a shorter:
      dh_auto_configure -- <needed configure overrides>
    + Add -Wl,--as-needed to LDFLAGS to avoid linking with un-necessary
      libraries.
  * debian/dicod.install: fix install path for dicod.conf (Closes: #538275)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 24 Jul 2009 16:03:36 +0300

dico (2.0-2) unstable; urgency=low

  * debian/control:
    + Fix dicoweb's Depends (dicoclient-python should be python-dicoclient)
      which made it un-installable.
    + Added Vcs-* fields
    + Bump Standards-Version to 3.8.2, no changes needed
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
    + Added ${misc:Depends} to Depends fields of dico-dev, dico-doc,
      python-wit, python-dicoclient and dico-module-mediawiki packages.
  * debian/rules:
    + Simplify rules file.
    + Make debian/dicodconfig* files executable during dh_auto_build before
      they get installed by dh_install.
  * Added debian/dico-module-mediawiki.install
  * Removed debian/dicoweb.dirs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 11 Jul 2009 05:47:05 +0300

dico (2.0-1) unstable; urgency=low

  * Initial release (Closes: #522368).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 03 Apr 2009 06:28:25 +0200

=== debian/control ===
Source: dico
Section: text
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, python-dev, 
 libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3), 
 python-all-dev (>= 2.3.5-11), m4
Standards-Version: 3.8.3
Homepage: http://puszcza.gnu.org.ua/software/dico/
Vcs-Git: git://git.debian.org/git/collab-maint/dico.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dico.git

Package: dicod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version}), m4
Pre-Depends: adduser
Recommends: dico-module-dictorg
Suggests: dico-doc
Provides: dict-server
Conflicts: dictd
Replaces: dictd
Description: RFC 2229 compliant modular dictionary server
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the dicod server.

Package: dico
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version})
Suggests: dico-doc
Conflicts: le-dico-de-rene-cougnenc
Provides: dict-client
Description: RFC 2229 compliant dictionary client
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the dico console client.

Package: libdico0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RFC 2229 compliant modular dictionary server (shared library)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the shared library.

Package: dico-dev
Section: libdevel
Architecture: any
Depends: libdico0 (= ${binary:Version}), ${misc:Depends}
Suggests: dico-doc
Description: RFC 2229 compliant modular dictionary server (development files)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the header files, static libraries, and symbolic links
 needed for development.

Package: dico-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: RFC 2229 compliant modular dictionary server (documentation)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the complete documentation for GNU Dico.

Package: dico-module-outline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Description: RFC 2229 compliant modular dictionary server (Emacs module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the module that handles databases in Emacs outline
 format. This module is designed mostly as an example and for testing
 purposes.

Package: dico-module-dictorg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Suggests: dict-gcide | dictd-dictionary, dict-wn, dict-jargon, dict-foldoc
Description: RFC 2229 compliant modular dictionary server (dict.org module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the module that handles databases in dict.org format.

Package: dico-module-guile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Description: RFC 2229 compliant modular dictionary server (Guile module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides an abstract layer for interfacing with database modules
 written in Guile.

Package: dico-module-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Description: RFC 2229 compliant modular dictionary server (Python module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides an abstract layer for interfacing with database modules
 written in Python.

Package: dico-module-mediawiki
Architecture: all
Depends: dico-module-python, python-wit, python-simplejson, python (>= 2.5), ${misc:Depends}
Description: RFC 2229 compliant modular dictionary server (mediawiki module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the module that handles the use of Wiktionary or
 Wikipedia as a dictionary database.

Package: python-wit
Section: python
XB-Python-Version: ${python:Versions}
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: wikitext translation library
 This package provides Wit, a Python library for converting wiki markup
 into another kind of markup. Currently it supports HTML and plain text.

Package: python-dicoclient
Section: python
XB-Python-Version: ${python:Versions}
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: RFC 2229 compliant dictionary client module and shell
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains a Python module that provides a Dico client and a simple
 interactive shell.

Package: dicoweb
Architecture: all
Section: web
Depends: ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
Description: RFC 2229 compliant modular dictionary server (web interface)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides a web interface for database searches.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build

	# Build python-wit:
	dh_auto_build --sourcedirectory app/python/wit

	# Build dicoclient python modules:
	dh_auto_build --sourcedirectory dicoweb/dicoclient

	# Make those files executable before installing them:
	chmod +x debian/dicodconfig debian/dicodconfig.alias

override_dh_auto_install:
	dh_auto_install

	# Install python-wit:
	dh_auto_install --sourcedirectory app/python/wit -- --root=$(CURDIR)/debian/python-wit

	# Install dicoclient python modules:
	dh_auto_install --sourcedirectory dicoweb/dicoclient -- --root=$(CURDIR)/debian/python-dicoclient

	# Install dicoweb:
	dh_install -pdicoweb dicoweb usr/share -Xdicoclient -XINSTALL

	dh_install -s

override_dh_auto_clean:
	dh_auto_clean

	# Clean python-wit:
	dh_auto_clean --sourcedirectory app/python/wit

	# Clean dicoclient python modules:
	dh_auto_clean --sourcedirectory dicoweb/dicoclient

=== debian/watch ===
version=3

ftp://ftp.gnu.org/gnu/dico/dico-(.*)\.tar\.gz

## dico 2.1

=== debian/changelog ===
dico (2.1-3) unstable; urgency=low

  * debian/control:
    + Bumped Standards Version to 3.9.1, no changes needed
    + Added ${python:Depends} for dicoweb (Closes: #592001)
    + Add XS-Python-Version field.
  * Removed debian/pyversions
  * Added utf8.diff patch to fix Unicode handling (Closes: #591698)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 19 Aug 2010 11:25:19 +0200

dico (2.1-2) unstable; urgency=low

  * debian/rules: Make sure dicoweb is being built before installing 
    settings.py (Closes: #589049)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 14 Jul 2010 18:20:25 +0300

dico (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #588403)
  * Refreshed patch dicoweb-debian.diff
  * Removed patches that are applied upstream:
    0001-Speed-up-output-procedure-in-dictorg.patch,
    improve_dicoweb.patch
  * debian/rules: Upstream renamed settings.py to settings-sample.py,
    hence install settings-sample.py in /etc/dicoweb/
  * debian/control:
    + Bumped Standards-Version to 3.9.0, no changes needed.
    + Drop XB-Python-Version fields and ${python:Provides}, as they are not
      needed.
    + Set DMUA (after approval of Marc Dequènes (Duck) <duck@debian.org>)
    + Remove libdico from Depends field of dico & dicod, it should be
      added automatically.
    + Remove python-dev from B-D, since python-all-dev is there
    + Add libldap2-dev to B-D to compile LDAP module.
    + Add list of included modules in dicod extended description.
  * debian/dicod.conf:
    + Match everything strategy is disabled by not loading the stratall
      module.
    + Added a commented section to enable substr strategy.
  * debian/dicod.install: Install ldap, substr & stratall modules in dicod
  * debian/dico-module-*.install: For pluggable modules, only install the .so
    files.
  * debian/dico-dev.install: Do not install .la file
    (See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
  * debian/watch: Add check for bzip2'ed tarballs
  * Renamed libdico package due to bumped sonames
  * debian/libdico1.symbols: Updated symbols
  * Merge dictorg & outline modules into dicod package.
  * debian/dicod.conf: Enable dictorg module by default (Closes: #588402).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 08 Jul 2010 12:08:56 +0300

dico (2.0.90-1) unstable; urgency=low

  * New upstream release. (Closes: #582692, #582696, #582708, #582694)
  * Update my email address
  * debian/dicod.init: Set STARTTIME to 4 seconds (LP: #583993)
  * Added dicoweb-debian.diff patch to set sane dicoweb defaults for a
    Debian system. (Credit to: "Marc Dequènes (Duck)" <duck@duckcorp.org>)
  * Added debian/apache2.conf
    (Credit to: "Marc Dequènes (Duck)" <duck@duckcorp.org>)
  * debian/rules:
    + Install dicoweb/settings.py in /etc/dicoweb/ (Closes: #582671)
    + Install dicoweb/templates, dicoweb/static and debian/apache2.conf in
      /etc/dicoweb/
  * Added debian/dicoweb.links to create a symlink for
    /etc/dicoweb/settings.py in /usr/share/dicoweb
  * Added debian/dicoweb.README.Debian
  * Removed debian/dicoweb.docs, debian/dicoweb.lintian-overrides
  * debian/control: Update Standards-Version to 3.8.4, no changes needed.
  * etc/dicod.conf: Disable "Match everything" strategy by default, as it is
    susceptible to DOS attack.
  * debian/libdico0.symbols: added new symbols
  * Added patch improve_dicoweb.patch from upstream to fix crash while
    displaying a definition (Closes: #582695, #582697)
  * Added patch 0001-Speed-up-output-procedure-in-dictorg.patch from
    upstream to speed up output in dictorg module. (Closes: #582799)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 23 May 2010 20:59:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: dico
 Section: text
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, python-dev, 
- libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3), 
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, libldap2-dev,
+ libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3),
  python-all-dev (>= 2.3.5-11), m4
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
 Homepage: http://puszcza.gnu.org.ua/software/dico/
 Vcs-Git: git://git.debian.org/git/collab-maint/dico.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dico.git
+XS-Python-Version: >= 2.5
 
 Package: dicod
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version}), m4
+Depends: ${shlibs:Depends}, ${misc:Depends}, m4
 Pre-Depends: adduser
-Recommends: dico-module-dictorg
 Suggests: dico-doc
 Provides: dict-server
-Conflicts: dictd
-Replaces: dictd
+Conflicts: dictd, dico-module-dictorg, dico-module-outline
+Replaces: dictd, dico-module-dictorg, dico-module-outline
 Description: RFC 2229 compliant modular dictionary server
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -26,11 +27,14 @@
  are performed by functions supplied in loadable modules. A single module
  can serve one or more databases.
  .
- This package contains the dicod server.
+ This package contains the dicod server, in addition to the following plugins:
+  * ldap: provides LDAP support
+  * substr: provides a substring search strategy
+  * stratall: provides the 'all' search strategy
 
 Package: dico
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: dico-doc
 Conflicts: le-dico-de-rene-cougnenc
 Provides: dict-client
@@ -43,7 +47,7 @@
  .
  This package contains the dico console client.
 
-Package: libdico0
+Package: libdico1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,7 +63,7 @@
 Package: dico-dev
 Section: libdevel
 Architecture: any
-Depends: libdico0 (= ${binary:Version}), ${misc:Depends}
+Depends: libdico1 (= ${binary:Version}), ${misc:Depends}
 Suggests: dico-doc
 Description: RFC 2229 compliant modular dictionary server (development files)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
@@ -83,33 +87,6 @@
  can serve one or more databases.
  .
  This package contains the complete documentation for GNU Dico.
-
-Package: dico-module-outline
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
-Description: RFC 2229 compliant modular dictionary server (Emacs module)
- GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
- It is fully modular: the daemon itself (dicod) provides only the server
- functionality, and knows nothing about database formats. Actual searches
- are performed by functions supplied in loadable modules. A single module
- can serve one or more databases.
- .
- This package contains the module that handles databases in Emacs outline
- format. This module is designed mostly as an example and for testing
- purposes.
-
-Package: dico-module-dictorg
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
-Suggests: dict-gcide | dictd-dictionary, dict-wn, dict-jargon, dict-foldoc
-Description: RFC 2229 compliant modular dictionary server (dict.org module)
- GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
- It is fully modular: the daemon itself (dicod) provides only the server
- functionality, and knows nothing about database formats. Actual searches
- are performed by functions supplied in loadable modules. A single module
- can serve one or more databases.
- .
- This package contains the module that handles databases in dict.org format.
 
 Package: dico-module-guile
 Architecture: any
@@ -152,20 +129,16 @@
 
 Package: python-wit
 Section: python
-XB-Python-Version: ${python:Versions}
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
 Description: wikitext translation library
  This package provides Wit, a Python library for converting wiki markup
  into another kind of markup. Currently it supports HTML and plain text.
 
 Package: python-dicoclient
 Section: python
-XB-Python-Version: ${python:Versions}
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
 Description: RFC 2229 compliant dictionary client module and shell
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -179,7 +152,7 @@
 Package: dicoweb
 Architecture: all
 Section: web
-Depends: ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
+Depends: ${python:Depends}, ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
 Description: RFC 2229 compliant modular dictionary server (web interface)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+tito:
+	dh_listpackages
 %:
 	dh $@
 
@@ -27,10 +29,14 @@
 	# Install dicoclient python modules:
 	dh_auto_install --sourcedirectory dicoweb/dicoclient -- --root=$(CURDIR)/debian/python-dicoclient
 
+override_dh_install:
+	dh_install
 	# Install dicoweb:
-	dh_install -pdicoweb dicoweb usr/share -Xdicoclient -XINSTALL
-
-	dh_install -s
+	dh_install -pdicoweb dicoweb usr/share -Xdicoclient -XINSTALL -Xtemplates -Xsettings-sample.py -Xstatic
+	dh_install -pdicoweb dicoweb/templates etc/dicoweb
+	dh_install -pdicoweb dicoweb/static etc/dicoweb
+	dh_install -pdicoweb debian/apache2.conf etc/dicoweb
+	[ ! -d debian/dicoweb/etc/dicoweb/ ] || install -m 0644 dicoweb/settings-sample.py $(CURDIR)/debian/dicoweb/etc/dicoweb/settings.py
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3

ftp://ftp.gnu.org/gnu/dico/dico-(.*)\.tar\.(?:gz|bz2)

## dico 2.2

=== debian/changelog ===
dico (2.2-5) unstable; urgency=medium

  * debian/watch:
    + Add xz extension
    + Add pgpsigurlmangle
  * Added debian/upstream-signing-key.pgp
  * Added debian/source/include-binaries
  * Added readline_6.3.diff patch to fix FTBFS against readline 6.3
    (Closes: #741762)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 16 Mar 2014 17:09:53 +0200

dico (2.2-4) unstable; urgency=low

  * Updated access control configuration for Apache 2.4 (Closes: #669737)
  * Added django_1.5.diff patch to support Django 1.5 (Closes: #730488)
  * debian/control:
    + Bumped Standards-Version to 3.9.5
    + Bumped dicoweb's python-django dependency to >= 1.4.5

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 25 Nov 2013 23:51:54 +0200

dico (2.2-3) unstable; urgency=low

  * debian/libdico1.symbols: Added Build-Depends-Package field.
  * Eliminated check for gets() so source builds with eglibc, fixing FTBFS.
    Thanks to Ubuntu (Closes: #701390) (LP: #1163486)
  * debian/copyright: Update copyright years.
  * debian/control:
    + Updated Standards-Version to 3.9.4
    + Dropped obsolete DMUA field.
    + Use canonical URIs in VCS-* fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 07 Apr 2013 09:46:47 +0200

dico (2.2-2) unstable; urgency=low

  * debian/rules: Enable all hardening flags.
  * Added dicoweb-django.diff patch to replace deprecated load_template_source
    callers. (Closes: #678912)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 29 Jun 2012 11:03:01 +0200

dico (2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Check for tarballs with numbered versions only
  * Bumped compat level to 9
  * debian/control:
    + Updated Standards-Version to 3.9.3
    + debian/control: wrap & sort.
    + Added libpcre3-dev, libpam0g-dev, wordnet-dev to Build-Deps.
    + Set libdico & dico-dev as Multi-Arch: same
    + Added Pre-Depends: ${misc:Pre-Depends} for libdico &
      dico-module-{guile,wordnet,python} packages.
  * debian/dicod.install: Added gcide, word, nprefix, pcre & pam
    modules.
  * Switch to dh_python2
    + debian/control:
      - Drop python-support from Build-Deps
      - Bumped python-all Build-Dep to (>= 2.6.6-3~)
      - XS-Python-Version -> X-Python-Version
    + debian/rules: added --with python2 to dh call.
  * debian/copyright: Updated copyright format & years
  * Dropped patches that are applied upstream: dico+kbsd.diff, utf8.diff
  * Refreshed patch: dicoweb-debian.diff
  * debian/*.install: Update lib paths for multiarch
  * debian/dicod.lintian-overrides: Use relative paths for overrides
  * Added wordnet.diff patch to link against -lwordnet instead of -lWN
  * debian/libdico1.symbols: Updated symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 09 May 2012 04:26:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,32 @@
 Section: text
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, libldap2-dev,
- libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3),
- python-all-dev (>= 2.3.5-11), m4
-Standards-Version: 3.9.1
-DM-Upload-Allowed: yes
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
+               guile-1.8-dev,
+               libgsasl7-dev,
+               libldap2-dev,
+               libltdl7-dev,
+               m4,
+               python-all-dev (>= 2.6.6-3~),
+               zlib1g-dev,
+               libpcre3-dev,
+               libpam0g-dev,
+               wordnet-dev
+Standards-Version: 3.9.5
 Homepage: http://puszcza.gnu.org.ua/software/dico/
-Vcs-Git: git://git.debian.org/git/collab-maint/dico.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dico.git
-XS-Python-Version: >= 2.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/dico.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dico.git
+X-Python-Version: >= 2.5
 
 Package: dicod
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, m4
+Depends: m4, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: adduser
 Suggests: dico-doc
 Provides: dict-server
-Conflicts: dictd, dico-module-dictorg, dico-module-outline
-Replaces: dictd, dico-module-dictorg, dico-module-outline
+Conflicts: dico-module-dictorg, dico-module-outline, dictd
+Replaces: dico-module-dictorg, dico-module-outline, dictd
 Description: RFC 2229 compliant modular dictionary server
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -34,7 +42,7 @@
 
 Package: dico
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: dico-doc
 Conflicts: le-dico-de-rene-cougnenc
 Provides: dict-client
@@ -50,7 +58,9 @@
 Package: libdico1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RFC 2229 compliant modular dictionary server (shared library)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -63,6 +73,7 @@
 Package: dico-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libdico1 (= ${binary:Version}), ${misc:Depends}
 Suggests: dico-doc
 Description: RFC 2229 compliant modular dictionary server (development files)
@@ -90,7 +101,8 @@
 
 Package: dico-module-guile
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
+Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RFC 2229 compliant modular dictionary server (Guile module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -103,7 +115,8 @@
 
 Package: dico-module-python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
+Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RFC 2229 compliant modular dictionary server (Python module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -116,7 +129,11 @@
 
 Package: dico-module-mediawiki
 Architecture: all
-Depends: dico-module-python, python-wit, python-simplejson, python (>= 2.5), ${misc:Depends}
+Depends: dico-module-python,
+         python (>= 2.5),
+         python-simplejson,
+         python-wit,
+         ${misc:Depends}
 Description: RFC 2229 compliant modular dictionary server (mediawiki module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -127,10 +144,24 @@
  This package contains the module that handles the use of Wiktionary or
  Wikipedia as a dictionary database.
 
+Package: dico-module-wordnet
+Architecture: any
+Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: RFC 2229 compliant modular dictionary server (WordNet module)
+ GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
+ It is fully modular: the daemon itself (dicod) provides only the server
+ functionality, and knows nothing about database formats. Actual searches
+ are performed by functions supplied in loadable modules. A single module
+ can serve one or more databases.
+ .
+ This package provides an abstract layer for reading WordNet lexical database
+ files.
+
 Package: python-wit
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Description: wikitext translation library
  This package provides Wit, a Python library for converting wiki markup
  into another kind of markup. Currently it supports HTML and plain text.
@@ -138,7 +169,7 @@
 Package: python-dicoclient
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Description: RFC 2229 compliant dictionary client module and shell
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -152,7 +183,13 @@
 Package: dicoweb
 Architecture: all
 Section: web
-Depends: ${python:Depends}, ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
+Depends: libapache2-mod-python | libapache2-mod-wsgi,
+         python-dicoclient,
+         python-django (>= 1.4.5),
+         python-memcache,
+         python-wit,
+         ${misc:Depends},
+         ${python:Depends}
 Description: RFC 2229 compliant modular dictionary server (web interface)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-tito:
-	dh_listpackages
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
  ftp://ftp.gnu.org/gnu/dico/dico-([\d\.]+)\.tar\.(?:gz|bz2|xz)

## dico 2.3

=== debian/changelog ===
dico (2.3-1) unstable; urgency=medium

  * [6fcf6ad] New upstream version 2.3 (Closes: #819835)
  * [70fa481] Drop patches (mostly merged upstream) and refresh others
  * [0756a82] Add python-six to build depends
  * [dc7cc1d] Disable failing Guile sub-test
  * [2af696f] Update dico-dev example install files
  * [f48cda1] Fix FTBFS for string format
  * [bd729d7] Update symbols list for 2.3
  * [5f1d5ff] Add dh-python to build depends
  * [667bab7] Fix Vcs URLs
  * [bbf2276] Add myself as Maintainer. With permission from previous
    maintainer, Ahed El-Mahmoudy
  * [7eb24e8] Update Standards Version to 3.9.8. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 15 Sep 2016 16:37:49 +0530

dico (2.2-9) unstable; urgency=medium

  * Add -E to LDFLAGS for mips64el arch. to fix FTBFS.
    Thanks to James Cowgill <james410@cowgill.org.uk> (Closes: #775426)
  * Update my email address
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 08 May 2015 08:42:28 +0200

dico (2.2-8) unstable; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new archs.
    (Closes: #765202)
  * debian/control:
    + Bumped Standards-Version to 3.9.6
    + Update email address.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 19 Oct 2014 11:15:29 +0200

dico (2.2-7) unstable; urgency=medium

  * Add django_1.7.patch patch to migrate to Django 1.7.
    Thanks to Marc Dequènes (Duck) <duck@duckcorp.org> (Closes: #755585)
  * Added guile2.0.diff patch from upstream to fix FTBFS with Guile 2.x
    debian/rules: Removed override_dh_auto_test target as it is no longer
    needed.
  * debian/clean: Remove examples/*.pyc during clean.
  * debian/dicod*.service, debian/dicod.socket: Install systemd service &
    socket files for dicod inetd mode.
  * Added client-ipv6.diff patch to add IPv6 support to dico client.
  * debian/xinetd/dicod: added a xinetd config file.
  * debian/dicod.postinst: add a disabled inetd entry for dicod during package
    install.
  * debian/dicod.prerm: remove/disable inetd entry for dicod during package
    remove/upgrade.
  * debian/dicod.README.Debian:
    + Indicate that dicod supports IPv6 in inetd mode.
    + Add instructions for runing dicod in inetd mode.
  * debian/dicod.links: add dictd.service -> dicod.service symlink.
  * debian/apache2.conf: Remove mod-python support & add mod-passenger support
    for dicoweb.
  * Add upstream metadata.
  * debian/rules:
    + Fix FTBFS on mips,mipsel,s390x archs by appending -Wl,-E to LDFLAGS for
      those archs. (Closes: #763801)
      see: https://lists.debian.org/debian-mips/2014/09/msg00041.html
    + Set $HOME to temporary directory in the build tree while running the
      test suites in order to fix FTBFS on autobuilders.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 02 Oct 2014 16:25:08 +0200

dico (2.2-6) unstable; urgency=medium

  * debian/control: migrate to Guile 2.0 (Closes: #745995)
  * debian/rules:
    + override dh_auto_test to disable warnings on deprecated
    Guile API calls, and also to disable Guile auto-compilation.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 12 Sep 2014 12:02:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: dico
 Section: text
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
-               guile-1.8-dev,
+               dh-python,
+               guile-2.0-dev,
                libgsasl7-dev,
                libldap2-dev,
                libltdl7-dev,
                m4,
                python-all-dev (>= 2.6.6-3~),
+               python-six,
                zlib1g-dev,
                libpcre3-dev,
                libpam0g-dev,
                wordnet-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://puszcza.gnu.org.ua/software/dico/
-Vcs-Git: git://anonscm.debian.org/collab-maint/dico.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dico.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dico.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dico.git
 X-Python-Version: >= 2.5
 
 Package: dicod
@@ -183,7 +186,7 @@
 Package: dicoweb
 Architecture: all
 Section: web
-Depends: libapache2-mod-python | libapache2-mod-wsgi,
+Depends: libapache2-mod-passenger | libapache2-mod-wsgi,
          python-dicoclient,
          python-django (>= 1.4.5),
          python-memcache,

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,24 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+TEST_HOME=$(CURDIR)/tmp-home
+
+# Append -Wl,-E to LDFLAGS for mips,mipsel,s390x archs, see:
+# https://lists.debian.org/debian-mips/2014/09/msg00041.html
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(filter mips mipsel mips64 mips64el s390x,$(DEB_HOST_ARCH)))
+	LDFLAGS += "-Wl,-E"
+endif
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,autotools_dev
 
 override_dh_auto_configure:
+	
+	# Workaround to fool automake
+	# Should be remove once we have a fix for the failing guile test
+	touch modules/guile/tests/Makefile.in
+
 	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_build:
@@ -46,3 +59,7 @@
 
 	# Clean dicoclient python modules:
 	dh_auto_clean --sourcedirectory dicoweb/dicoclient
+
+override_dh_auto_test:
+	mkdir -p $(TEST_HOME)
+	HOME=$(TEST_HOME) dh_auto_test

## dico 2.4

=== debian/changelog ===
dico (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Add django_1.10.diff patch to support Django 1.10. Thanks to Marc Dequènes
    (Duck) <duck@duckcorp.org> (Closes: #868832)
  * Remove obsolete patches
  * debian/dicod.{prerm,postinst}: check for update-inetd using which instead
    of checking hard coded path
  * Replace upstream-signing-key.pgp with upstream/signing-key.asc
  * Removed fix-ftbfs-format-string.patch patch, as it is applied upstream
  * Update symbols file
  * Re-enable Guile tests
  * Bumped compat level to 10
    + No need to specify autotools-dev
    + wordnet.diff patch: patch configure.ac & modules/wordnet/Makefile.am
      instead of configure & modules/guile/Makefile.in
  * Bump Standards-Version to 4.1.1
  * Update copyright years
  * debian/dicoweb.links:
    + fix passenger_wsgi.py symlink (Closes: #868830)
    + add symlink to /etc/dicoweb/templates in /var/lib/dicoweb/passenger
  * Added fix_manpage.diff to fix section of dicod manpage
  * dicod.install: add usr/lib/*/idxgcide
  * Remove manpages created by maintainer as upstream now provides manpages
  * Install metaphone2 plugin in dicod

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Oct 2017 03:28:30 +0200

dico (2.3-2) unstable; urgency=medium

  * Drop broken link to non-existent file.
    Thanks to Andreas Beckmann (Closes: #858511)
  * Add dependency on lsb-base for SysV init script

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 23 Mar 2017 16:37:24 +0530

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                guile-2.0-dev,
                libgsasl7-dev,
@@ -17,7 +16,7 @@
                libpcre3-dev,
                libpam0g-dev,
                wordnet-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://puszcza.gnu.org.ua/software/dico/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dico.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dico.git
@@ -25,7 +24,7 @@
 
 Package: dicod
 Architecture: any
-Depends: m4, ${misc:Depends}, ${shlibs:Depends}
+Depends: m4, ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
 Pre-Depends: adduser
 Suggests: dico-doc
 Provides: dict-server

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,9 @@
 endif
 
 %:
-	dh $@ --with python2,autotools_dev
+	dh $@ --with python2
 
 override_dh_auto_configure:
-	
-	# Workaround to fool automake
-	# Should be remove once we have a fix for the failing guile test
-	touch modules/guile/tests/Makefile.in
-
 	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_build:

## dico 2.5

=== debian/changelog ===
dico (2.5-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* URLs
  * Update standards version
  * debian/rules: change assignment operator for DEB_HOST_ARCH to ?=
  * Update copyright years
  * Switch to secure copyright format URL

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 24 Jun 2018 04:57:15 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libpcre3-dev,
                libpam0g-dev,
                wordnet-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4.2
 Homepage: http://puszcza.gnu.org.ua/software/dico/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dico.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dico.git
 X-Python-Version: >= 2.5
+Vcs-Git: https://salsa.debian.org/debian/dico.git
+Vcs-Browser: https://salsa.debian.org/debian/dico
 
 Package: dicod
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # Append -Wl,-E to LDFLAGS for mips,mipsel,s390x archs, see:
 # https://lists.debian.org/debian-mips/2014/09/msg00041.html
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter mips mipsel mips64 mips64el s390x,$(DEB_HOST_ARCH)))
 	LDFLAGS += "-Wl,-E"
 endif
